Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testjdt3
Class MyIType

    java.lang.Object
      testjdt3.MyIType

    public class MyIType

extends java.lang.Object

Auxiliary class for additional services of ITypeBinding. We consider SimpleType TODO extends for generic and so on

Author:
  jroyer

Constructor Summary
`MyIType()` Defaut constructor.

Method Summary
`void` | `addSubclass(java.lang.String subclass)` Add a subclass
`java.lang.String` | `getFullName()` Get full name.
`org.eclipse.jdt.core.dom.ITypeBinding` | `getIbind()`
`Fields` | `getStructure()` Get the structure.
`java.util.Vector<java.lang.String>` | `getSubclasses()` Getter for subclasses.
`java.lang.String` | `getSupername()`
`boolean` | `hasFields()` Test if structure exists.
`boolean` | `hasPublicFields()` Check if it has a public or default-package field.
`boolean` | `isResolved()` Test if typebinding is resolved.
`void` | `setIbind(org.eclipse.jdt.core.dom.ITypeBinding ibind)`
`void` | `setStructure(Fields struc)` Set the structure.
`void` | `setSupername(java.lang.String supername)`
`void` | `storeStructure()` Add the fields in the structure and the TypeInfo.
`java.lang.String` | `toString()` String representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MyIType

    public MyIType()

  Defaut constructor.

Method Detail

### getFullName

    public java.lang.String getFullName()

  Get full name.

  Returns:

### storeStructure

    public void storeStructure()

  Add the fields in the structure and the TypeInfo. Recursive method with side effects

### toString

    public java.lang.String toString()

  String representation.

  Overrides:
    `toString` in class `java.lang.Object`

### hasPublicFields

    public boolean hasPublicFields()

  Check if it has a public or default-package field.

  Returns:

### setStructure

    public void setStructure(Fields struc)

  Set the structure.

  Parameters:
    `struc` -

### getStructure

    public Fields getStructure()

  Get the structure.

  Returns:

### hasFields

    public boolean hasFields()

  Test if structure exists.

  Returns:

### getSupername

    public java.lang.String getSupername()

### setSupername

    public void setSupername(java.lang.String supername)

### isResolved

    public boolean isResolved()

  Test if typebinding is resolved.

  Returns:

### getIbind

    public org.eclipse.jdt.core.dom.ITypeBinding getIbind()

### setIbind

    public void setIbind(org.eclipse.jdt.core.dom.ITypeBinding ibind)

### getSubclasses

    public java.util.Vector<java.lang.String> getSubclasses()

  Getter for subclasses.

  Returns:

### addSubclass

    public void addSubclass(java.lang.String subclass)

  Add a subclass

  Parameters:
    `subclasses` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD